@font-face {
    font-family: "Avenir Next Condensed";
    src: url('../fonts/AvenirNextCondensed-UltraLight-11.ttf') format("truetype");
    font-weight: 100;
    font-style: normal;
}

@font-face {
    font-family: "Avenir Next Condensed";
    src: url('../fonts/AvenirNextCondensed-Regular-08.ttf') format("truetype");
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: "Avenir Next Condensed";
    src: url('../fonts/AvenirNextCondensed-Medium-06.ttf') format("truetype");
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: "Avenir Next Condensed";
    src: url('../fonts/AvenirNextCondensed-DemiBold-03.ttf') format("truetype");
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: "Avenir Next Condensed";
    src: url('../fonts/AvenirNextCondensed-Bold-01.ttf') format("truetype");
    font-weight: 700;
    font-style: normal;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-size: 16px;
    font-family: "Avenir Next Condensed", sans-serif;
    font-weight: 400;
    font-style: normal;
    --primary: #e86928;
    --secondary: #f8dfbc;
}

main {
    width: 100%;
    height: 100%;
}

section {
    width: 100%;
    display: flex;
    align-items: center;
    padding: 96px 64px;

    div.content {
        max-width: 1400px;
        width: 100%;

        img {
            border-radius: 20px;
        }
    }

    @media screen and (min-width: 1441px) {
        justify-content: center;
    }
}

/* Hero Section */
#hero {
    height: 100vh;
    position: relative;

    &::before {
        content: '';
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        background-image: url('../image/Kitchen_9.webp'), url('../image/Kitchen_9.png');
        background-position-x: right;
        background-position-y: top;
        background-repeat: no-repeat;
        -moz-background-size: 120%;
        -webkit-background-size: 120%;
        background-size: 120%;
        z-index: -1;
        -moz-transform: scale(-1, 1);
        -webkit-transform: scale(-1, 1);
        transform: scale(-1, 1);

        @media screen and (max-width: 1023px) {
            background-position: center right;
            background-size: cover;
        }

        @media screen and (max-width: 958px) {
            background-position: center;
            background-size: cover;
        }
    }
}

/* Products Section */
#products {
    .content {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 48px;

        .product-list {
            display: flex;
            justify-content: center;
            gap: 48px;

            .product {
                display: flex;
                flex-direction: column;
                align-items: center;
                gap: 24px;
                flex-wrap: wrap;
            }

            @media screen and (max-width: 1092px) {
                flex-direction: column;
            }
        }
    }
}

select {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 20 20'%3e%3cpath stroke='%236b7280' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.5' d='M6 8l4 4 4-4'/%3e%3c/svg%3e");
    background-position: right 0.5rem center;
    background-repeat: no-repeat;
    background-size: 1.5em 1.5em;
    padding-right: 2.5rem;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.about-carousel-item {
    transition: opacity 0.5s ease-in-out;
}
